summaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorKarel Zak2007-05-18 14:00:21 +0200
committerKarel Zak2007-05-18 14:00:21 +0200
commita94eb70b6bc17d24afe096cf47a1f1f2305da08c (patch)
treea146a3ef0cdfc7e12be45401c4b4c189e46217d2 /tests
parenttests: add swapon by UUID test (diff)
downloadkernel-qcow2-util-linux-a94eb70b6bc17d24afe096cf47a1f1f2305da08c.tar.gz
kernel-qcow2-util-linux-a94eb70b6bc17d24afe096cf47a1f1f2305da08c.tar.xz
kernel-qcow2-util-linux-a94eb70b6bc17d24afe096cf47a1f1f2305da08c.zip
tests: add swapon by devname test
Signed-off-by: Karel Zak <kzak@redhat.com>
Diffstat (limited to 'tests')
-rw-r--r--tests/expected/ts-swapon-devname1
-rwxr-xr-xtests/ts-swapon-devname48
2 files changed, 49 insertions, 0 deletions
diff --git a/tests/expected/ts-swapon-devname b/tests/expected/ts-swapon-devname
new file mode 100644
index 000000000..35821117c
--- /dev/null
+++ b/tests/expected/ts-swapon-devname
@@ -0,0 +1 @@
+Success
diff --git a/tests/ts-swapon-devname b/tests/ts-swapon-devname
new file mode 100755
index 000000000..674f179c2
--- /dev/null
+++ b/tests/ts-swapon-devname
@@ -0,0 +1,48 @@
+#!/bin/bash
+
+#
+# Copyright (C) 2007 Karel Zak <kzak@redhat.com>
+#
+# This file is part of util-linux-ng.
+#
+# This file is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License.
+#
+# This file is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+
+. commands.sh
+. functions.sh
+
+TS_COMPONENT="swapon"
+TS_DESC="devname"
+
+ts_init
+ts_skip_nonroot
+
+set -o pipefail
+
+DEVICE=$(ts_device_init)
+[ "$?" == 0 ] || ts_die "Cannot init device"
+
+$TS_CMD_MKSWAP $DEVICE > /dev/null 2>> $TS_OUTPUT
+[ "$?" == "0" ] || ts_die "Cannot make swap $DEVICE" $DEVICE
+
+ts_device_has "TYPE" "swap" $DEVICE
+[ "$?" == "0" ] || ts_die "Cannot found swap on $DEVICE" $DEVICE
+
+$TS_CMD_SWAPON $DEVICE 2>&1 >> $TS_OUTPUT
+
+grep -q $DEVICE /proc/swaps
+[ "$?" == "0" ] || ts_die "Cannot found $DEVICE in /proc/swaps" $DEVICE
+
+ts_swapoff $DEVICE
+ts_device_deinit $DEVICE
+
+echo "Success" >> $TS_OUTPUT
+ts_finalize
+